Delete an inference endpoint Generally available; Added in 8.11.0

DELETE /_inference/{inference_id}

This API requires the manage_inference cluster privilege (the built-in inference_admin role grants this privilege).

Path parameters

  • inference_id string Required

    The inference identifier.

Query parameters

  • dry_run boolean

    When true, checks the semantic_text fields and inference processors that reference the endpoint and returns them in a list, but does not delete the endpoint.

  • force boolean

    When true, the inference endpoint is forcefully deleted even if it is still being used by ingest processors or semantic text fields.

Responses

  • 200 application/json
    Hide response attributes Show response attributes object

    Acknowledged response. For dry_run, contains the list of pipelines which reference the inference endpoint

    • acknowledged boolean Required

      For a successful response, this value is always true. On failure, an exception is returned instead.

    • pipelines array[string] Required
DELETE /_inference/{inference_id}
curl \
 --request DELETE 'http://api.example.com/_inference/{inference_id}'